Bug 1125805 - [Storage] Active mpath, logical, disk and gluster pool would be inactivated after libvirtd restart
Summary: [Storage] Active mpath, logical, disk and gluster pool would be inactivated a...
Keywords:
Status: CLOSED DUPLICATE of bug 1177733
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: libvirt
Version: 7.1
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: John Ferlan
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-01 05:43 UTC by yangyang
Modified: 2015-04-02 15:45 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-04-02 15:45:46 UTC


Attachments (Terms of Use)

Description yangyang 2014-08-01 05:43:26 UTC
Description:
Active mpath type pool is changed to inactive status after libvirtd restarted. The same issue would be met in logical and disk type pool

Produce version
libvirt-1.1.1-29.el7_0.1.x86_64

How producible
100%

Steps:
1. Define/Start a mpath type pool with the following xml
[root@dell-pet105-04 yy]# virsh pool-define pool-mpath
Pool mpath-test defined from pool-mpath
[root@dell-pet105-04 yy]# virsh pool-start mpath-test
Pool mpath-test started

[root@dell-pet105-04 yy]# cat pool-mpath
<pool type="mpath">
  <name>mpath-test</name>
  <target>
    <path>/dev/mapper</path>
  </target>
</pool>

2. Check the pool status
[root@dell-pet105-04 yy]# virsh pool-list --all
Name                 State      Autostart
-----------------------------------------
default              active     yes            
mpath-test           active     no  

3. Restart libvirtd
[root@dell-pet105-04 yy]# service libvirtd restart
Stopping libvirtd daemon:                                  [  OK  ]
Starting libvirtd daemon:                                  [  OK  ]

4. Re-check the pool status
[root@dell-pet105-04 yy]# virsh pool-list --all
Name                 State      Autostart
-----------------------------------------
default              active     yes        
mpath-test           inactive   no      

Actual Results:
Pool mpath_test is inactivated after libvirtd restarted

Expected Results:
Pool mpath_test should remain active

Additional Info:
The issue was also met in logical and disk type pool

The issue was also met in RHEL6. Is the issue worth to fix in RHEL6 ?

Comment 3 yangyang 2015-01-20 03:44:21 UTC
Active Gluster type pool is also shutoff while libvirtd restarts

Comment 5 Erik Skultety 2015-04-02 15:45:46 UTC

*** This bug has been marked as a duplicate of bug 1177733 ***


Note You need to log in before you can comment on or make changes to this bug.